---
title: Contributing
id: contributing
---

Welcome to the Great Expectations project! We’re very glad you want to help out by contributing.

Our goal is to make your experience as great as possible. Please follow these steps to contribute:

#### 1. Join the community on Slack

* Go to [greatexpectations.io/slack](https://greatexpectations.io/slack) and introduce yourself in the `#contributors-contributing` channel.

#### 2. Contribute small changes directly through GitHub 

* For small changes that don’t need to be tested locally, such as documentation changes, you can [make changes directly through GitHub](https://docs.greatexpectations.io/docs/contributing/contributing_github).

#### 3. Set up your development environment to contribute large changes
* Follow these instructions to [set up your dev environment](./contributing_setup.md).

Alternatively, for small changes that don’t need to be tested locally (e.g. documentation changes), you can [make changes directly through GitHub](https://docs.greatexpectations.io/docs/contributing/contributing_github).

#### 4. Identify the type of contribution that you want to make

* [Issues in GitHub](https://github.com/great-expectations/great_expectations/issues) are a great place to start. Check out the help wanted and good first issue labels. Comment to let everyone know you’re working on it.

* If there’s no issue for what you want to work on, please create one. Add a comment to let everyone know that you’re working on it. We prefer small, incremental commits, because it makes the thought process behind changes easier to review.

* Our [Levels of maturity grid](./contributing_maturity.md) provides guidelines for how the maintainers of Great Expectations evaluate levels of maturity of a feature.

#### 5. Start developing
* Make sure to reference the style guides for [code](./style_guides/code_style.md) and
[docs](./style_guides/docs_style.md) and instructions on [Testing](./contributing_test.md) when developing your code.  When your changes are ready, run through our
[Contribution checklist](./contributing_checklist.md) for pull requests.

Note that if it’s your first contribution, there is a standard Contributor license agreement (CLA) you will need to sign :
* [Individual Contributor License Agreement v1.0](https://docs.google.com/forms/d/e/1FAIpQLSdA-aWKQ15yBzp8wKcFPpuxIyGwohGU1Hx-6Pa4hfaEbbb3fg/viewform?usp=sf_link)
* [Software Grant and Corporate Contributor License Agreement v1.0](https://docs.google.com/forms/d/e/1FAIpQLSf3RZ_ZRWOdymT8OnTxRh5FeIadfANLWUrhaSHadg_E20zBAQ/viewform?usp=sf_link)
